<template>
  <div>
    <b-table
      @row-dblclicked="deleteEquipment"
      :items="result"/>

    <equipment-forms></equipment-forms>
  </div>
</template>

<script>
import EquipmentForms from '~/components/EquipmentForms.vue'

export default {
  components: {
    EquipmentForms
  },
  data() {
    return {
      result: ''
    };
  },
  methods: {
    deleteEquipment(record, index) {
      let ins = this;

      if (confirm(`Deseja apagar ${record.id}?`))
        this.$axios({
          method: 'delete',
          url: `http://localhost:3000/equipment`
        })
          .then(res => ins.$router.go())
          .catch(err => console.log(err));
    }
  },
  created() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/equipment'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Equipment': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
